Subject: RE: [Sigtran] Sigtran Plugtest SUA/M3UA/M2UA/IUA - Day 2

From: Tolga Asveren <[email-masked]>
Date: Thu, 7 Nov 2002 16:06:43 -0500

Brian,
 
> > [TOLGA] IMO it isn't. That loadsharing is based on SLS does 
> not mean that it
> > is the same like loadsharing between links. If one has 
> distributed user
> > parts (for regular SS7 case), one can also loadshare 
> between them based on
> > SLS. This is implementation dependent.
> 
> Not so.  Loadsharing based on SLS (or based on something upon which
> SLS is derived such as CIC) is the only loadsharing that prevents
> missequencing.  Any other basis introduces missequencing.  This is
> identical to loadsharing in SS7 within a (combined) link set and
> cannot be avoided by calling it "implementation dependent".
[TOLGA] I think how I distribute traffic to my distributed user parts is
implementation dependent but I would agree with you using SLS for that
purpose is a good choice.
> 
> > [TOLGA]How can ASP decide, what is the congestion status of 
> the SPMC?  It
> > can't, so it shouldn't reply with SCON to an incoming message. 
> > So, are you proposing not to handle ASP congestion at all? 
> Otherwise, how
> > can SG decide for the congestion level of the SPMC, if ASPs 
> don't inform SGs
> > about it? 
> 
> The ASP doesn't have to decide that the SPMC is congested.  This is 
> the sole responsibility of the SG.  The ASP sends SCON to "inform" the
> SG about a condition which may contribute to the SG's determination
> of SPMC congestion.  That is why the ASP MAY respond with SCON.
[TOLGA] I think we agree that ASP does not decide for congestion of SPMC.
But then what is the reason that ASP send SCON to SG as described in RFC?
> 
> > In any case (having congestion indication from ASP to SG or 
> not to have such
> > an indication to prevent message missequencing etc...) SCON 
> from ASP to SG
> > as described currently in RFC (as a response to an incoming 
> message)is not
> > appropriate.(I think you agree with this)
> 
> As I said in a previous note, the ASP need only send SCON in response
> to an incoming message.  There is no problemw with the RFC in 
> this matter.
[TOLGA] How can SG make use of a SCON sent from ASP as a response to an
incoming message? Based on that, I don't think SG can have a combined
congestion view for the whole SPMC. 
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 7 Nov 2002 14:37:11 -0700

Tolga,

Tolga Asveren wrote:                                                               (Thu, 07 Nov 2002 16:06:43)
> But then what is the reason that ASP send SCON to SG as described in RFC?

To potentially assist the SG in its decision.

> congestion view for the whole SPMC. 

The SG uses the information as advisory just as if it were
sent on any other basis.

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/